//---------------------------------------------------------------//
// Affiche
//---------------------------------------------------------------//

.fiche-film {
  main {
    margin: 0 20px;

    text-align: center;

    p {
      margin: 0 0 20px;
    }
  }

  img.affiche {
    object-fit: cover;

    height: 220px;
  }
}


//---------------------------------------------------------------//
// Infos génrales
//---------------------------------------------------------------//

.infos-general {
  margin: 15px;

  h3 {
    margin: 10px 0;

    font-size: $fz-h3-mobile;
  }

  h4 {
    font-size: $fz-h4-mobile;
    font-weight: bold;

    margin: 20px 0 0 0;
  }

  p {
    font-size: $fz-p-mobile-normal;
  }

  .div-annee-etoiles {
    font-size: $fz-p-mobile-secondaire;

    display: flex;

    p {
      color: $color-text-accent;

      margin: 0;
    }

    .etoiles {
      padding-left: 20px;
    }
  }
}


/*----------------------------------------------------------------------------
    Médias queries
----------------------------------------------------------------------------*/

@media screen and(min-width: $vw-medium) {
  /*Affiche*/
  .fiche-film img.affiche {
    height: 320px;
  }
}

@media screen and(min-width: $vw-huge) {
  /*Affiche*/
  .fiche-film img.affiche {
    height: 520px;
  }

  /*Infos générales*/
  .infos-general {
    h3 {
      font-size: $fz-h3;
    }

    h4 {
      font-size: $fz-h4;
    }

    p {
      font-size: $fz-p-secondaire;
    }

    .div-annee-etoiles {
      font-size: $fz-p-secondaire;
    }
  }
}